printer_draw_roundrect
printer_end_doc
Printer Functions
PHP Manual

# printer_draw_text

(No version information available, might be only in CVS)

printer_draw_text — Draw text

### Description

void printer_draw_text ( resource `$printer_handle` , string `$text` , int `$x` , int `$y` )

The function draws `text` at position `x` , `y` using the selected font.

### Parameters

`printer_handle`

  `printer_handle` must be a valid handle to a printer.

`text`

  The text to be written.

`x`

  `x` is the x coordinate of the position.

`y`

  `y` is the y coordinate of the position.

### Return Values

No value is returned.

### Examples

Example #1 printer_draw_text() example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
$font = printer_create_font("Arial", 72, 48, 400, false, false, false, 0);
printer_select_font($handle, $font);
printer_draw_text($handle, "test", 10, 10);
printer_delete_font($font);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`

printer_draw_roundrect
printer_end_doc
Printer Functions
PHP Manual